Bug 242881 - net/nncp: Update to 5.3.2
Summary: net/nncp: Update to 5.3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-25 14:06 UTC by Sergey Matveev
Modified: 2020-03-21 18:55 UTC (History)
2 users (show)

See Also:


Attachments
Update patch from 5.3.0 to 5.3.1 (765 bytes, patch)
2019-12-25 14:06 UTC, Sergey Matveev
stargrave: maintainer-approval+
Details | Diff
Update patch from 5.3.0 to 5.3.2 (765 bytes, patch)
2019-12-28 12:01 UTC, Sergey Matveev
stargrave: maintainer-approval+
Details | Diff
additional improvements on top of submitter's patch (1.27 KB, patch)
2020-03-19 09:32 UTC, Fernando Apesteguía
fernape: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Matveev 2019-12-25 14:06:43 UTC
Created attachment 210223 [details]
Update patch from 5.3.0 to 5.3.1

Update NNCP to 5.3.1.
Comment 1 Sergey Matveev 2019-12-28 12:01:24 UTC
Created attachment 210280 [details]
Update patch from 5.3.0 to 5.3.2
Comment 2 Tobias C. Berner freebsd_committer 2020-01-02 20:13:31 UTC
[130amd64-svn-job-01] Installing nncp-5.3.2...
cp: /usr/local/etc/newsyslog.conf.d/nncp.conf: No such file or directory

... is this expected ^ 


mfg Tobias
Comment 3 Sergey Matveev 2020-01-03 19:50:26 UTC
I can not reproduce that error. I have created poudriere installation from the ground today for amd64-12.1-RELEASE, applied my patch (5.3.0->5.3.2) and everything is build fine. End of build log is:

    [...]
    strip: moving loadable section .noptrbss, is this intentional?
    install  -m 0644 /usr/ports/net/nncp/files/nncp.newsyslog.conf.sample /wrkdirs/usr/ports/net/nncp/work/stage/usr/local/etc/nncp.conf.sample
    ====> Compressing man pages (compress-man)
    ===> Staging rc.d startup script(s)
    ===========================================================================
    =======================<phase: package        >============================
    ===>  Building package for nncp-5.3.2
Comment 4 Tobias C. Berner freebsd_committer 2020-01-05 19:59:39 UTC
(In reply to Sergey Matveev from comment #3)
I still see this message in poudriere:

===========================================================================
=>> Recording filesystem state for preinst... done
=======================<phase: install        >============================
===>  Installing for nncp-5.3.2
===>  Checking if nncp is already installed
===>   Registering installation for nncp-5.3.2
[130amd64-svn-job-01] Installing nncp-5.3.2...
cp: /usr/local/etc/newsyslog.conf.d/nncp.conf: No such file or directory
- Add the following lines to /etc/rc.conf to enable nncp-daemon,
  nncp-caller and nncp-toss:

    nncp_daemon_enable="YES"


Please investigate.


mfg Tobias
Comment 5 Tobias C. Berner freebsd_committer 2020-03-08 18:39:08 UTC
ping?
Comment 6 Sergey Matveev 2020-03-10 19:06:17 UTC
I have no information how to reproduce that failure. Previous patches worked. Version 5.3.0->5.3.2 have no installation/building procedures changes.
Comment 7 Fernando Apesteguía freebsd_committer 2020-03-18 08:21:57 UTC
Hi there,

I tested the patch and poudriere builds fine in {11.3,12.1}{i386,amd64} and 13.0-current amd64 at r356762 (from January).

I'll try to upgrade my 13 and try again.
Comment 8 Fernando Apesteguía freebsd_committer 2020-03-19 09:32:57 UTC
Created attachment 212522 [details]
additional improvements on top of submitter's patch

Handle the problem detected by @tcberner by creating the directory and adding it to pkg-plist.
Comment 9 Fernando Apesteguía freebsd_committer 2020-03-19 09:33:59 UTC
Hi Tobias, Sergey!

I updated a new patch that handles this issue. Does this fix work for you?
Comment 10 Tobias C. Berner freebsd_committer 2020-03-20 20:00:08 UTC
Hi Fernando

Looks good to me.


mfg Tobias
Comment 11 Sergey Matveev 2020-03-21 11:38:45 UTC
Comment on attachment 212522 [details]
additional improvements on top of submitter's patch

Greetings! Modified patch looks good to me. Thank you.
Comment 12 commit-hook freebsd_committer 2020-03-21 18:54:43 UTC
A commit references this bug:

Author: fernape
Date: Sat Mar 21 18:53:41 UTC 2020
New revision: 528865
URL: https://svnweb.freebsd.org/changeset/ports/528865

Log:
  net/nncp: Update to 5.3.2

  PR:	242881
  Submitted by:	stargrave@stargrave.org (maintainer)
  Reviewed by:	tcberner

Changes:
  head/net/nncp/Makefile
  head/net/nncp/distinfo
  head/net/nncp/pkg-plist
Comment 13 Fernando Apesteguía freebsd_committer 2020-03-21 18:55:40 UTC
Committed,

Thanks!